Bug 239123 - bootstrap process is AAARGGGGH
bootstrap process is AAARGGGGH
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: maven2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-05 01:02 EDT by Bill Nottingham
Modified: 2014-03-16 23:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:40:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
jpprepolayout patch with extra verbosity (21.86 KB, patch)
2007-05-06 13:29 EDT, Deepak Bhole
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2007-05-05 01:02:07 EDT
We're attempting to bootstrap Extras on ppc64.

maven is proving to be problematic.

We can build plexus-* with --without-maven, similarly for maven-(a couple things).

However, even with --with-bootstrap and --without-itests, the maven build itself
fails.

Is there a document somewhere with the precise defines and orderings to
bootstrap the package stack? Has the process been tested recently?
Comment 1 Bill Nottingham 2007-05-05 01:06:58 EDT
Partial build log at http://people.redhat.com/notting/maven.log.
Comment 2 Deepak Bhole 2007-05-06 13:29:00 EDT
Created attachment 154228 [details]
jpprepolayout patch with extra verbosity
Comment 3 Deepak Bhole 2007-05-06 13:30:00 EDT
If the build it starting, it means all of the requirements (whether in bootstrap
mode or otherwise), are being satisfied, and beyond that, there are not
additional things that need to be taken care of before hand.

The log does not show any sort of error. According to the last few lines, all
components built successfully, so there was no reason for maven to quit with
code 1. 

I have attached a patch that will enable debug messages during bootstrap. Can
you please replace the maven2-jpprepolayout.patch in the srpm with the attached
one, retry the build, and post the log?
Comment 4 Bill Nottingham 2007-05-08 01:36:25 EDT
Full build log of failure at http://people.redhat.com/notting/maven.log.
Comment 7 Deepak Bhole 2007-05-09 18:28:59 EDT
I am unable to see what is causing the problem.

The issue is that the bootstrap code is doing a system call, executing "mvn
...", and at the end, it thinks it is getting return code 255 instead of the
expected 0. However, running the "mvn ..." in the same environment command
produces a return code 0.

Since the involved code spans projects outside of maven, it will be harder and
time consuming to trace. What is the deadline for this?
Comment 8 Bill Nottingham 2007-05-09 22:37:09 EDT
As long as nothing we *need* to ship as a ppc64 binary RPM depends on maven, we
can wait indefinitely, and just ExcludeArch it. I just filed the bug because I
was trying to get it bootstrapped so we could have it, and was getting stuck.
Comment 9 Deepak Bhole 2007-09-21 18:27:15 EDT
Just an update --

While the issue remains open (it is a problem with gcj on ppc64), in the mean
time, I have ExcludeArch'd ppc64 and built maven2 on the remaining platforms. So
ppc64 users will have to make do with ppc binaries for the time being, but they
will have maven2 in F8.
Comment 10 Bug Zapper 2008-04-03 20:31:19 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 11 Bug Zapper 2008-05-06 21:40:08 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.